# DataGridView\.HitTestInfo

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data about the pointer position in the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class HitTestInfo
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class HitTestInfo
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Cell

[DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md): Returns the [DataGridViewCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md) at the specified coordinates.

### ![](/files/hsR4ok3152WyAf8J2C1u) Column

[DataGridViewColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md): Returns the [DataGridViewColumn](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md) at the specified coordinates.

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of the column that contains the specified coordinates.

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridView

[DataGridView](/api/wisej.web/lists-and-grids/datagridview.md): Returns the [DataGridView](#datagridview) that generate this [HitTestInfo](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridview.hittestinfo.md) instance.

### ![](/files/hsR4ok3152WyAf8J2C1u) Row

[DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md): Returns the [DataGridViewRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrow.md) at the specified coordinates.

### ![](/files/hsR4ok3152WyAf8J2C1u) RowIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the index of the row that contains the specified coordinates

### ![](/files/hsR4ok3152WyAf8J2C1u) Type

[HitTestType](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridview.hittesttype.md): Returns the [HitTestType](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridview.hittesttype.md) that indicates which part of the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) includes the specified coordinates.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridview.hittestinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
